Create Goal
curl --request POST \
--url https://dash.tinyanalytics.io/api/sites/{site}/goals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My Goal",
"goalType": "path",
"config": {
"pathPattern": "/checkout/success"
}
}
'import requests
url = "https://dash.tinyanalytics.io/api/sites/{site}/goals"
payload = {
"name": "My Goal",
"goalType": "path",
"config": { "pathPattern": "/checkout/success" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'My Goal', goalType: 'path', config: {pathPattern: '/checkout/success'}})
};
fetch('https://dash.tinyanalytics.io/api/sites/{site}/goals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Create Goal
Creates a new goal
POST
/
sites
/
{site}
/
goals
Create Goal
Related topics
AI Analytics AssistantAnalytics Roles and PermissionsConnect an AI Agent with the MCP Server⌘I